Annotation Queue Update
curl --request PUT \
--url https://api.example.com/annotation_queues/{queue_id} \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "entity/project",
"name": "Updated Queue Name",
"description": "Updated description",
"scorer_refs": [
"weave:///entity/project/scorer/error_severity:abc123",
"weave:///entity/project/scorer/resolution_quality:def456"
]
}
'import requests
url = "https://api.example.com/annotation_queues/{queue_id}"
payload = {
"project_id": "entity/project",
"name": "Updated Queue Name",
"description": "Updated description",
"scorer_refs": ["weave:///entity/project/scorer/error_severity:abc123", "weave:///entity/project/scorer/resolution_quality:def456"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: 'entity/project',
name: 'Updated Queue Name',
description: 'Updated description',
scorer_refs: [
'weave:///entity/project/scorer/error_severity:abc123',
'weave:///entity/project/scorer/resolution_quality:def456'
]
})
};
fetch('https://api.example.com/annotation_queues/{queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queue": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"description": "<string>",
"scorer_refs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}주석 대기열 업데이트
Update an annotation queue’s metadata (name, description, scorer_refs).
PUT
/
annotation_queues
/
{queue_id}
Annotation Queue Update
경로 매개변수
본문
application/json
Request body for updating an annotation queue (queue_id comes from path).
All fields except project_id are optional - only provided fields will be updated.
응답
Successful Response
Response from updating an annotation queue.
Schema for annotation queue responses.
Show child attributes
Show child attributes
마지막 수정일 2026년 9월 30일
이 페이지가 도움이 되었나요?